package pps.core.task.job;

import org.apache.http.client.utils.DateUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import pps.cloud.ims.service.ImsService;
import pps.cloud.ims.service.data.ConditionJsonParam;
import pps.cloud.mdm.service.MdmService;
import xstartup.annotation.XService;
import xstartup.annotation.XText;
import xstartup.base.XContext;
import xstartup.data.XServiceResult;
import xstartup.service.job.XJob;
import xstartup.service.job.annotation.XCronTrigger;

import java.text.SimpleDateFormat;
import java.time.LocalDate;
import java.time.format.DateTimeFormatter;
import java.util.Calendar;
import java.util.Date;

@XText("ims同步任务")
@XService
public class ImsJob implements XJob {

    private static Logger logger = LoggerFactory.getLogger(ImsJob.class);

    @XCronTrigger(value = XCronTrigger.PRE_30S)
//    @XCronTrigger(value = XCronTrigger.PRE_5S)
    @Override
    public XServiceResult execute(XContext context) {
        logger.info("定时同步ims数据");

        ImsService service = context.getBean(ImsService.class);
        ConditionJsonParam param = new ConditionJsonParam();

//        param.setColumn("lastUpdateDate");
//        param.setValue(getImsValue());
        service.getAllSiteBaseInfo(context, param);
//        System.out.println(param);
        return XServiceResult.OK;
    }

    public String getImsValue(){
        Date dNow = new Date();
        Date dBefore = new Date();
        Calendar calendar = Calendar.getInstance();
        calendar.setTime(dNow);
        calendar.add(Calendar.DAY_OF_MONTH, -1);
        dBefore = calendar.getTime();

        SimpleDateFormat sdf=new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        String day = sdf.format(dBefore);
        String nowStr = sdf.format(dNow);

        String value = "to_date('" + day + "','yyyy-MM-dd HH:mm:ss')" +
                "&&to_date('" + nowStr + "','yyyy-MM-dd HH:mm:ss')";
        return value;
    }


}
