package pps.core.task.job;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import pps.cloud.mdm.service.MdmService;
import pps.cloud.measure.service.GasVoucherCloudService;
import xstartup.annotation.XService;
import xstartup.annotation.XText;
import xstartup.base.XContext;
import xstartup.data.XServiceResult;
import xstartup.service.job.XJob;
import xstartup.service.job.annotation.XCronTrigger;

@XText("计量任务")
@XService
public class MeasureJob implements XJob {

    private static Logger logger = LoggerFactory.getLogger(MeasureJob.class);

    @XCronTrigger(value = "0/30 * * * * ?")
    @Override
    public XServiceResult execute(XContext context) {
        logger.info("定时推送天然气计量交接凭证数据");
        GasVoucherCloudService service = context.getBean(GasVoucherCloudService.class);
        XServiceResult xServiceResult = service.pushGasMeasurePdf(context);
        return xServiceResult;
    }
}
