-- pps_base_info


-- pps_measure



-- pps_interface


-- pps_workflow



--pps_interface


--pps_base_frame
ALTER TABLE pps_base_frame.form_workflow_rel ADD inform bool NULL;
COMMENT ON COLUMN pps_base_frame.form_workflow_rel.inform IS '是否通知';
ALTER TABLE pps_base_frame.form_data_box ADD remarks varchar NULL;
COMMENT ON COLUMN pps_base_frame.form_data_box.remarks IS '备注';


CREATE TABLE pps_base_frame.form_station_template (
                                                      id varchar(40) NOT NULL, -- 主键
                                                      form_template_id varchar(100) NULL, -- 表单id
                                                      form_name varchar(100) NULL, -- 表单名称
                                                      ou_id varchar(40) NULL, -- 组织机构id
                                                      ou_name varchar(100) NULL, -- 组织机构名称
                                                      station_id varchar(40) NULL, -- 场站id
                                                      station_name varchar(100) NULL, -- 场站名称
                                                      media_type varchar(40) NULL, -- 介质类型（字典）
                                                      description varchar(200) NULL, -- 备注说明
                                                      effect_time timestamp(3) NULL, -- 起效时间
                                                      end_time timestamp(3) NULL, -- 失效时间
                                                      sort Integer NULL, -- 序号
                                                      create_userid varchar(40) NULL, -- 创建人
                                                      create_name varchar(50) NULL, -- 创建人名称
                                                      create_time timestamp(3) NULL, -- 创建时间
                                                      modify_userid varchar(40) NULL, -- 修改人
                                                      modify_by_name varchar(50) NULL, -- 修改人名称
                                                      modify_time timestamp(3) NULL, -- 修改时间
                                                      state Integer NULL, -- 表单状态
                                                      business_type varchar NULL, -- 业务类型（字典）
                                                      affiliation varchar NULL, -- 归属：1-组织机构；2-场站
                                                      rule_json text NULL, -- 规则
                                                      CONSTRAINT form_station_template_pkey PRIMARY KEY (id)
)
    WITH (
        orientation=row,
        compression=no
        );
COMMENT ON TABLE pps_base_frame.form_station_template IS '表单场站模板';

-- Column comments

COMMENT ON COLUMN pps_base_frame.form_station_template.id IS '主键';
COMMENT ON COLUMN pps_base_frame.form_station_template.form_template_id IS '表单id';
COMMENT ON COLUMN pps_base_frame.form_station_template.form_name IS '表单名称';
COMMENT ON COLUMN pps_base_frame.form_station_template.ou_id IS '组织机构id';
COMMENT ON COLUMN pps_base_frame.form_station_template.ou_name IS '组织机构名称';
COMMENT ON COLUMN pps_base_frame.form_station_template.station_id IS '场站id';
COMMENT ON COLUMN pps_base_frame.form_station_template.station_name IS '场站名称';
COMMENT ON COLUMN pps_base_frame.form_station_template.media_type IS '介质类型（字典）';
COMMENT ON COLUMN pps_base_frame.form_station_template.description IS '备注说明';
COMMENT ON COLUMN pps_base_frame.form_station_template.effect_time IS '起效时间';
COMMENT ON COLUMN pps_base_frame.form_station_template.end_time IS '失效时间';
COMMENT ON COLUMN pps_base_frame.form_station_template.sort IS '序号';
COMMENT ON COLUMN pps_base_frame.form_station_template.create_userid IS '创建人';
COMMENT ON COLUMN pps_base_frame.form_station_template.create_name IS '创建人名称';
COMMENT ON COLUMN pps_base_frame.form_station_template.create_time IS '创建时间';
COMMENT ON COLUMN pps_base_frame.form_station_template.modify_userid IS '修改人';
COMMENT ON COLUMN pps_base_frame.form_station_template.modify_by_name IS '修改人名称';
COMMENT ON COLUMN pps_base_frame.form_station_template.modify_time IS '修改时间';
COMMENT ON COLUMN pps_base_frame.form_station_template.state IS '表单状态';
COMMENT ON COLUMN pps_base_frame.form_station_template.business_type IS '业务类型（字典）';
COMMENT ON COLUMN pps_base_frame.form_station_template.affiliation IS '归属：1-组织机构；2-场站';
COMMENT ON COLUMN pps_base_frame.form_station_template.rule_json IS '规则';

create table pps_base_frame.form_notify_task (
	id varchar(40) NOT NULL,
	workflow_rel_id varchar(40) NULL,
	operate_type varchar NULL,
	form_input_record_id varchar NULL,
	workflow_remark varchar NULL,
	create_user_id varchar(40) NULL,
	create_name varchar(50) NULL,
	create_time timestamp NULL,
	status int4 NULL,
	completed_time timestamp NULL,
PRIMARY KEY (id)
);
comment on table pps_base_frame.form_notify_task is '表单通知';


COMMENT ON COLUMN pps_base_frame.form_notify_task.id IS '主键id';
COMMENT ON COLUMN pps_base_frame.form_notify_task.workflow_rel_id IS '工作流关系id';
COMMENT ON COLUMN pps_base_frame.form_notify_task.operate_type IS '操作名称';
COMMENT ON COLUMN pps_base_frame.form_notify_task.form_input_record_id IS '表单填报id';
COMMENT ON COLUMN pps_base_frame.form_notify_task.workflow_remark IS '工作流意见';
COMMENT ON COLUMN pps_base_frame.form_notify_task.create_user_id IS '创建人';
COMMENT ON COLUMN pps_base_frame.form_notify_task.create_name IS '创建人名称';
COMMENT ON COLUMN pps_base_frame.form_notify_task.create_time IS '创建时间';
COMMENT ON COLUMN pps_base_frame.form_notify_task.status IS '状态，0未完成，1已完成，2已取消';
COMMENT ON COLUMN pps_base_frame.form_notify_task.completed_time IS '完成时间';



ALTER TABLE pps_base_frame.form_fill_conf ADD stars_state_query bool NULL;
COMMENT ON COLUMN pps_base_frame.form_fill_conf.stars_state_query IS '是否使用星星状态查询';

COMMENT ON TABLE pps_base_frame.form_data_default_setting IS '数据模型动态列默认值表';
COMMENT ON TABLE pps_base_frame.form_fill_conf IS '填报进展配置表';
COMMENT ON TABLE pps_base_frame.form_fill_conf_in IS '填报进展存储过程入参表';
COMMENT ON TABLE pps_base_frame.form_fill_conf_sub IS '填报进展存储过程出参表';
COMMENT ON TABLE pps_base_frame.form_fill_time_conf IS '表单填报时间设置表';
--pps_dispatch

