
--pps_base_frame
ALTER TABLE pps_base_frame.form_fill_conf_sub ADD linked_column varchar NULL;
COMMENT ON COLUMN pps_base_frame.form_fill_conf_sub.linked_column IS '联动字段';


-- pps_dispatch
--管输日指定上载-增加变更历史记录表 start--
CREATE TABLE pps_dispatch.gas_upload_day_plan_his (
	id varchar(40) NOT NULL,
	m_ou_id varchar NULL, -- 数据项管理组织机构id
	m_ou_name varchar NULL, -- 数据项管理组织机构名称
	pipeline_id varchar NULL, -- 管线id
	pipeline_name varchar NULL, -- 管线名称
	pipeline_display_name varchar NULL,
	station_id varchar NULL, -- 场站id
	station_name varchar NULL, -- 场站名称
	shipper_id varchar NULL, -- 托运商id
	shipper_name varchar NULL, -- 托运商名称
	source_id varchar NULL, -- 气源id
	source_name varchar NULL, -- 气源名称
	sort int4 NULL, -- 排序
	data_date date NULL, -- 数据日期
	day_plan numeric(20, 8) NULL DEFAULT 0, -- 上载计划量（万方）-最后一次下发的上载计划量
	day_plan_did int4 NULL, -- 上载日计划(万方)数据点
	create_by_id varchar(40) NULL,
	create_by_name varchar(50) NULL,
	create_time timestamp(3) NULL,
	modify_by_id varchar(40) NULL,
	modify_by_name varchar(50) NULL,
	modify_time timestamp(3) NULL,
	data_sources int1 NULL, -- 数据来源（1.数据初始化 2.过渡期接口推送 3.系统下发 4.系统导入）
	CONSTRAINT gas_upload_day_plan_his_key PRIMARY KEY (id)
)
WITH (
	orientation=row,
	compression=no
);
COMMENT ON TABLE pps_dispatch.gas_upload_day_plan_his IS '天然气-上载日指定 变更历史数';

COMMENT ON COLUMN pps_dispatch.gas_upload_day_plan_his.m_ou_id IS '数据项管理组织机构id';
COMMENT ON COLUMN pps_dispatch.gas_upload_day_plan_his.m_ou_name IS '数据项管理组织机构名称';
COMMENT ON COLUMN pps_dispatch.gas_upload_day_plan_his.pipeline_id IS '管线id';
COMMENT ON COLUMN pps_dispatch.gas_upload_day_plan_his.pipeline_name IS '管线名称';
COMMENT ON COLUMN pps_dispatch.gas_upload_day_plan_his.station_id IS '场站id';
COMMENT ON COLUMN pps_dispatch.gas_upload_day_plan_his.station_name IS '场站名称';
COMMENT ON COLUMN pps_dispatch.gas_upload_day_plan_his.shipper_id IS '托运商id';
COMMENT ON COLUMN pps_dispatch.gas_upload_day_plan_his.shipper_name IS '托运商名称';
COMMENT ON COLUMN pps_dispatch.gas_upload_day_plan_his.source_id IS '气源id';
COMMENT ON COLUMN pps_dispatch.gas_upload_day_plan_his.source_name IS '气源名称';
COMMENT ON COLUMN pps_dispatch.gas_upload_day_plan_his.sort IS '排序';
COMMENT ON COLUMN pps_dispatch.gas_upload_day_plan_his.data_date IS '数据日期';
COMMENT ON COLUMN pps_dispatch.gas_upload_day_plan_his.day_plan IS '上载计划量（万方）-最后一次下发的上载计划量';
COMMENT ON COLUMN pps_dispatch.gas_upload_day_plan_his.day_plan_did IS '上载日计划(万方)数据点';
COMMENT ON COLUMN pps_dispatch.gas_upload_day_plan_his.data_sources IS '数据来源（1.数据初始化 2.过渡期接口推送 3.系统下发 4.系统导入）';
--管输日指定上载-增加变更历史记录表 end-- --

-- pps_dispatch
--管输日指定下载-增加变更历史记录表 start--
CREATE TABLE pps_dispatch.gas_day_plan_his (
	id varchar(40) NOT NULL,
	a_ou_id varchar NULL, -- 二级单位id
	a_ou_name varchar NULL, -- 二级单位名称
	m_ou_id varchar NULL, -- 数据项管理组织机构id
	m_ou_name varchar NULL, -- 数据项管理组织机构名称
	pipeline_id varchar NULL, -- 管线id
	pipeline_name varchar NULL, -- 管线名称
	pipeline_display_name varchar NULL, -- 管线显示名称
	station_id varchar NULL, -- 场站id
	station_name varchar NULL, -- 场站名称
	customer_id varchar NULL, -- 客户id
	customer_name varchar NULL, -- 客户名称
	shipper_id varchar NULL, -- 托运商id
	shipper_name varchar NULL, -- 托运商名称
	sort int4 NULL, -- 排序
	data_date date NULL, -- 数据日期
	day_plan numeric(20, 8) NULL, -- 下载日计划量（最后一次下发的下载计划量）（万方）
	day_plan_did int4 NULL, -- 日计划数据点
	create_by_id varchar(40) NULL,
	create_by_name varchar(50) NULL,
	create_time timestamp(3) NULL,
	modify_by_id varchar(40) NULL,
	modify_by_name varchar(50) NULL,
	modify_time timestamp(3) NULL,
	data_sources int1 NULL, -- 数据来源（1.数据初始化 2.过渡期接口推送 3.系统下发 4.系统导入）
	CONSTRAINT gas_day_plan_his_key PRIMARY KEY (id)
)
WITH (
	orientation=row,
	compression=no
);
COMMENT ON TABLE pps_dispatch.gas_day_plan_his IS '天然气-下载日指定-历史变更数据';

COMMENT ON COLUMN pps_dispatch.gas_day_plan_his.a_ou_id IS '二级单位id';
COMMENT ON COLUMN pps_dispatch.gas_day_plan_his.a_ou_name IS '二级单位名称';
COMMENT ON COLUMN pps_dispatch.gas_day_plan_his.m_ou_id IS '数据项管理组织机构id';
COMMENT ON COLUMN pps_dispatch.gas_day_plan_his.m_ou_name IS '数据项管理组织机构名称';
COMMENT ON COLUMN pps_dispatch.gas_day_plan_his.pipeline_id IS '管线id';
COMMENT ON COLUMN pps_dispatch.gas_day_plan_his.pipeline_name IS '管线名称';
COMMENT ON COLUMN pps_dispatch.gas_day_plan_his.pipeline_display_name IS '管线显示名称';
COMMENT ON COLUMN pps_dispatch.gas_day_plan_his.station_id IS '场站id';
COMMENT ON COLUMN pps_dispatch.gas_day_plan_his.station_name IS '场站名称';
COMMENT ON COLUMN pps_dispatch.gas_day_plan_his.customer_id IS '客户id';
COMMENT ON COLUMN pps_dispatch.gas_day_plan_his.customer_name IS '客户名称';
COMMENT ON COLUMN pps_dispatch.gas_day_plan_his.shipper_id IS '托运商id';
COMMENT ON COLUMN pps_dispatch.gas_day_plan_his.shipper_name IS '托运商名称';
COMMENT ON COLUMN pps_dispatch.gas_day_plan_his.sort IS '排序';
COMMENT ON COLUMN pps_dispatch.gas_day_plan_his.data_date IS '数据日期';
COMMENT ON COLUMN pps_dispatch.gas_day_plan_his.day_plan IS '下载日计划量（最后一次下发的下载计划量）（万方）';
COMMENT ON COLUMN pps_dispatch.gas_day_plan_his.day_plan_did IS '日计划数据点';
COMMENT ON COLUMN pps_dispatch.gas_day_plan_his.data_sources IS '数据来源（1.数据初始化 2.过渡期接口推送 3.系统下发 4.系统导入）';
--管输日指定下载-增加变更历史记录表 end--

-- pps-workflow
ALTER TABLE pps_workflow.bpm_process_approval ADD next_role_ids varchar NULL;
COMMENT ON COLUMN pps_workflow.bpm_process_approval.next_role_ids IS '下一节点角色id';
ALTER TABLE pps_workflow.bpm_process_approval ADD next_role_names varchar NULL;
COMMENT ON COLUMN pps_workflow.bpm_process_approval.next_role_names IS '下一节点角色名称';
ALTER TABLE pps_workflow.bpm_process_approval ADD next_role_users varchar NULL;
COMMENT ON COLUMN pps_workflow.bpm_process_approval.next_role_users IS '下一节点角色人员';
