--增加日指定补采功能
--pps_dispatch start
create table pps_dispatch.gas_day_plan_remedy (
    id varchar(40) not null,
	business_type	int1	null,
	data_date timestamp(3) null,
	day_plan_did int4 null,
	shipper_id varchar(40) null,
	shipper_name varchar(100) null,
	station_id varchar(40) null,
	station_name varchar(100) null,
	state int1 null,
	err_msg varchar(500) null,
	eff_data_number int4   null,
	create_by_id varchar(40) NULL,
	create_by_name varchar(50) NULL,
	create_time timestamp(3) NULL,
	modify_by_id varchar(40) NULL,
	modify_by_name varchar(50) NULL,
	modify_time timestamp(3) NULL,
    CONSTRAINT _gas_day_plan_remedy_pkey PRIMARY KEY (id)
);
comment on table pps_dispatch.gas_day_plan_remedy is '管输日指定-数据补救记录';
comment on column pps_dispatch.gas_day_plan_remedy.id is '主键';
comment on column pps_dispatch.gas_day_plan_remedy.business_type is '业务类型（1 上载数据 2 下载数据）';
comment on column pps_dispatch.gas_day_plan_remedy.data_date is '数据日期';
comment on column pps_dispatch.gas_day_plan_remedy.day_plan_did is '日指定数据点';
comment on column pps_dispatch.gas_day_plan_remedy.shipper_id is '托运商id';
comment on column pps_dispatch.gas_day_plan_remedy.shipper_name is '托运商名称';
comment on column pps_dispatch.gas_day_plan_remedy.station_id is '场站id';
comment on column pps_dispatch.gas_day_plan_remedy.station_name is '场站名称';
comment on column pps_dispatch.gas_day_plan_remedy.state is '状态（1. 成功 2.失败）';
comment on column pps_dispatch.gas_day_plan_remedy.back_msg is '接口返回数据';
comment on column pps_dispatch.gas_day_plan_remedy.err_msg is '失败提示消息';
comment on column pps_dispatch.gas_day_plan_remedy.eff_data_number is '影响数据条数';
comment on column pps_dispatch.gas_day_plan_remedy.create_by_id is '创建人id';
comment on column pps_dispatch.gas_day_plan_remedy.create_by_name is '创建人';
comment on column pps_dispatch.gas_day_plan_remedy.create_time is '创建时间';
comment on column pps_dispatch.gas_day_plan_remedy.modify_by_id is '修改人id';
comment on column pps_dispatch.gas_day_plan_remedy.modify_by_name is '修改人';
comment on column pps_dispatch.gas_day_plan_remedy.modify_time is '修改时间';

ALTER TABLE pps_dispatch.gas_day_plan ADD remedy_id varchar(40) NULL;
COMMENT ON COLUMN pps_dispatch.gas_day_plan.remedy_id IS '补采id';

ALTER TABLE pps_dispatch.gas_upload_day_plan ADD remedy_id varchar(40) NULL;
COMMENT ON COLUMN pps_dispatch.gas_upload_day_plan.remedy_id IS '补采id';

ALTER TABLE pps_dispatch.gas_day_plan_his ADD remedy_id varchar(40) NULL;
COMMENT ON COLUMN pps_dispatch.gas_day_plan_his.remedy_id IS '补采id';

ALTER TABLE pps_dispatch.gas_upload_day_plan_his ADD remedy_id varchar(40) NULL;
COMMENT ON COLUMN pps_dispatch.gas_upload_day_plan_his.remedy_id IS '补采id';


CREATE TABLE pps_dispatch.gas_day_plan_remedy_bak (
	id varchar(40) NOT NULL,
	a_ou_id varchar NULL, -- 二级单位id
	a_ou_name varchar NULL, -- 二级单位名称
	m_ou_id varchar NULL, -- 数据项管理组织机构id
	m_ou_name varchar NULL, -- 数据项管理组织机构名称
	pipeline_id varchar NULL, -- 管线id
	pipeline_name varchar NULL, -- 管线名称
	pipeline_display_name varchar NULL, -- 管线显示名称
	station_id varchar NULL, -- 场站id
	station_name varchar NULL, -- 场站名称
	customer_id varchar NULL, -- 客户id
	customer_name varchar NULL, -- 客户名称
	shipper_id varchar NULL, -- 托运商id
	shipper_name varchar NULL, -- 托运商名称
	sort int4 NULL, -- 排序
	data_date date NULL, -- 数据日期
	day_plan numeric(20, 8) NULL, -- 下载日计划量（最后一次下发的下载计划量）（万方）
	remark varchar NULL, -- 下载日计划量备注
	day_plan_did int4 NULL, -- 日计划数据点
	remark_did varchar NULL, -- 备注数据点
	state int4 NULL, -- 数据状态(1 未下发 2 已下发 3 已变更)
	create_by_id varchar(40) NULL,
	create_by_name varchar(50) NULL,
	create_time timestamp(3) NULL,
	modify_by_id varchar(40) NULL,
	modify_by_name varchar(50) NULL,
	modify_time timestamp(3) NULL,
	release_number int4 NULL DEFAULT 0, -- 下发次数
	data_from int1 NULL DEFAULT 1, -- 数据来源（1 交易平台  2 模板导入 3 过渡期pps）
	day_plan_update_his varchar NULL, -- 下载日计划量更新历史
	day_plan_release_his varchar NULL, -- 下载日计划量下发历史
	new_day_plan numeric(20, 8) NULL, -- 最新的下载计划量
	day_plan_id varchar(40) not null,
	remedy_id varchar(40) not null,
	CONSTRAINT gas_day_plan_remedy_bak_key PRIMARY KEY (id)
)
WITH (
	orientation=row,
	compression=no
);
COMMENT ON TABLE pps_dispatch.gas_day_plan_remedy_bak IS '天然气-下载日指定-补采备份';

-- Column comments

COMMENT ON COLUMN pps_dispatch.gas_day_plan_remedy_bak.a_ou_id IS '二级单位id';
COMMENT ON COLUMN pps_dispatch.gas_day_plan_remedy_bak.a_ou_name IS '二级单位名称';
COMMENT ON COLUMN pps_dispatch.gas_day_plan_remedy_bak.m_ou_id IS '数据项管理组织机构id';
COMMENT ON COLUMN pps_dispatch.gas_day_plan_remedy_bak.m_ou_name IS '数据项管理组织机构名称';
COMMENT ON COLUMN pps_dispatch.gas_day_plan_remedy_bak.pipeline_id IS '管线id';
COMMENT ON COLUMN pps_dispatch.gas_day_plan_remedy_bak.pipeline_name IS '管线名称';
COMMENT ON COLUMN pps_dispatch.gas_day_plan_remedy_bak.pipeline_display_name IS '管线显示名称';
COMMENT ON COLUMN pps_dispatch.gas_day_plan_remedy_bak.station_id IS '场站id';
COMMENT ON COLUMN pps_dispatch.gas_day_plan_remedy_bak.station_name IS '场站名称';
COMMENT ON COLUMN pps_dispatch.gas_day_plan_remedy_bak.customer_id IS '客户id';
COMMENT ON COLUMN pps_dispatch.gas_day_plan_remedy_bak.customer_name IS '客户名称';
COMMENT ON COLUMN pps_dispatch.gas_day_plan_remedy_bak.shipper_id IS '托运商id';
COMMENT ON COLUMN pps_dispatch.gas_day_plan_remedy_bak.shipper_name IS '托运商名称';
COMMENT ON COLUMN pps_dispatch.gas_day_plan_remedy_bak.sort IS '排序';
COMMENT ON COLUMN pps_dispatch.gas_day_plan_remedy_bak.data_date IS '数据日期';
COMMENT ON COLUMN pps_dispatch.gas_day_plan_remedy_bak.day_plan IS '下载日计划量（最后一次下发的下载计划量）（万方）';
COMMENT ON COLUMN pps_dispatch.gas_day_plan_remedy_bak.remark IS '下载日计划量备注';
COMMENT ON COLUMN pps_dispatch.gas_day_plan_remedy_bak.day_plan_did IS '日计划数据点';
COMMENT ON COLUMN pps_dispatch.gas_day_plan_remedy_bak.remark_did IS '备注数据点';
COMMENT ON COLUMN pps_dispatch.gas_day_plan_remedy_bak.state IS '数据状态(1 未下发 2 已下发 3 已变更)';
COMMENT ON COLUMN pps_dispatch.gas_day_plan_remedy_bak.release_number IS '下发次数';
COMMENT ON COLUMN pps_dispatch.gas_day_plan_remedy_bak.data_from IS '数据来源（1 交易平台  2 模板导入 3 过渡期pps）';
COMMENT ON COLUMN pps_dispatch.gas_day_plan_remedy_bak.day_plan_update_his IS '下载日计划量更新历史';
COMMENT ON COLUMN pps_dispatch.gas_day_plan_remedy_bak.day_plan_release_his IS '下载日计划量下发历史';
COMMENT ON COLUMN pps_dispatch.gas_day_plan_remedy_bak.new_day_plan IS '最新的下载计划量';
COMMENT ON COLUMN pps_dispatch.gas_day_plan_remedy_bak.day_plan_id IS '日指定id';
COMMENT ON COLUMN pps_dispatch.gas_day_plan_remedy_bak.remedy_id IS '补采id';


-- Drop table

-- DROP TABLE pps_dispatch.gas_upload_day_plan_remedy_bak;

CREATE TABLE pps_dispatch.gas_upload_day_plan_remedy_bak (
	id varchar(40) NOT NULL,
	m_ou_id varchar NULL, -- 数据项管理组织机构id
	m_ou_name varchar NULL, -- 数据项管理组织机构名称
	pipeline_id varchar NULL, -- 管线id
	pipeline_name varchar NULL, -- 管线名称
	pipeline_display_name varchar NULL,
	station_id varchar NULL, -- 场站id
	station_name varchar NULL, -- 场站名称
	shipper_id varchar NULL, -- 托运商id
	shipper_name varchar NULL, -- 托运商名称
	source_id varchar NULL, -- 气源id
	source_name varchar NULL, -- 气源名称
	sort int4 NULL, -- 排序
	data_date date NULL, -- 数据日期
	day_plan numeric(20, 8) NULL DEFAULT 0, -- 上载计划量（万方）-最后一次下发的上载计划量
	remark varchar NULL, -- 上载计划量备注
	day_plan_did int4 NULL, -- 上载日计划(万方)数据点
	remark_did int4 NULL, -- 备注数据点
	release_number int4 NULL DEFAULT 0, -- 下发次数
	data_from int1 NULL DEFAULT 1, -- 数据来源（1 交易平台  2 模板导入 3 过渡期pps）
	state int4 NULL, -- 数据状态(1 未下发 2 已下发 ，3 已变更)
	create_by_id varchar(40) NULL,
	create_by_name varchar(50) NULL,
	create_time timestamp(3) NULL,
	modify_by_id varchar(40) NULL,
	modify_by_name varchar(50) NULL,
	modify_time timestamp(3) NULL,
	day_plan_update_his varchar NULL DEFAULT ''::character varying, -- 上载计划量变更历史
	day_plan_release_his varchar NULL DEFAULT ''::character varying, -- 计划量下发历史
	new_day_plan numeric(20, 8) NULL DEFAULT 0, -- 最新接收到的计划量
	day_plan_id varchar(40) not null,
	remedy_id varchar(40) not null,
	CONSTRAINT gas_upload_day_plan_remedy_bak_key PRIMARY KEY (id)
)
WITH (
	orientation=row,
	compression=no
);
COMMENT ON TABLE pps_dispatch.gas_upload_day_plan_remedy_bak IS '天然气-上载日指定-补采备份';

-- Column comments

COMMENT ON COLUMN pps_dispatch.gas_upload_day_plan_remedy_bak.m_ou_id IS '数据项管理组织机构id';
COMMENT ON COLUMN pps_dispatch.gas_upload_day_plan_remedy_bak.m_ou_name IS '数据项管理组织机构名称';
COMMENT ON COLUMN pps_dispatch.gas_upload_day_plan_remedy_bak.pipeline_id IS '管线id';
COMMENT ON COLUMN pps_dispatch.gas_upload_day_plan_remedy_bak.pipeline_name IS '管线名称';
COMMENT ON COLUMN pps_dispatch.gas_upload_day_plan_remedy_bak.station_id IS '场站id';
COMMENT ON COLUMN pps_dispatch.gas_upload_day_plan_remedy_bak.station_name IS '场站名称';
COMMENT ON COLUMN pps_dispatch.gas_upload_day_plan_remedy_bak.shipper_id IS '托运商id';
COMMENT ON COLUMN pps_dispatch.gas_upload_day_plan_remedy_bak.shipper_name IS '托运商名称';
COMMENT ON COLUMN pps_dispatch.gas_upload_day_plan_remedy_bak.source_id IS '气源id';
COMMENT ON COLUMN pps_dispatch.gas_upload_day_plan_remedy_bak.source_name IS '气源名称';
COMMENT ON COLUMN pps_dispatch.gas_upload_day_plan_remedy_bak.sort IS '排序';
COMMENT ON COLUMN pps_dispatch.gas_upload_day_plan_remedy_bak.data_date IS '数据日期';
COMMENT ON COLUMN pps_dispatch.gas_upload_day_plan_remedy_bak.day_plan IS '上载计划量（万方）-最后一次下发的上载计划量';
COMMENT ON COLUMN pps_dispatch.gas_upload_day_plan_remedy_bak.remark IS '上载计划量备注';
COMMENT ON COLUMN pps_dispatch.gas_upload_day_plan_remedy_bak.day_plan_did IS '上载日计划(万方)数据点';
COMMENT ON COLUMN pps_dispatch.gas_upload_day_plan_remedy_bak.remark_did IS '备注数据点';
COMMENT ON COLUMN pps_dispatch.gas_upload_day_plan_remedy_bak.release_number IS '下发次数';
COMMENT ON COLUMN pps_dispatch.gas_upload_day_plan_remedy_bak.data_from IS '数据来源（1 交易平台  2 模板导入 3 过渡期pps）';
COMMENT ON COLUMN pps_dispatch.gas_upload_day_plan_remedy_bak.state IS '数据状态(1 未下发 2 已下发 ，3 已变更)';
COMMENT ON COLUMN pps_dispatch.gas_upload_day_plan_remedy_bak.day_plan_update_his IS '上载计划量变更历史';
COMMENT ON COLUMN pps_dispatch.gas_upload_day_plan_remedy_bak.day_plan_release_his IS '计划量下发历史';
COMMENT ON COLUMN pps_dispatch.gas_upload_day_plan_remedy_bak.new_day_plan IS '最新接收到的计划量';
COMMENT ON COLUMN pps_dispatch.gas_upload_day_plan_remedy_bak.day_plan_id IS '日指定id';
COMMENT ON COLUMN pps_dispatch.gas_upload_day_plan_remedy_bak.remedy_id IS '补采id';



-- Drop table

-- DROP TABLE pps_dispatch.gas_upload_day_plan_his_remedy_bak;

CREATE TABLE pps_dispatch.gas_upload_day_plan_his_remedy_bak (
	id varchar(40) NOT NULL,
	m_ou_id varchar NULL, -- 数据项管理组织机构id
	m_ou_name varchar NULL, -- 数据项管理组织机构名称
	pipeline_id varchar NULL, -- 管线id
	pipeline_name varchar NULL, -- 管线名称
	pipeline_display_name varchar NULL,
	station_id varchar NULL, -- 场站id
	station_name varchar NULL, -- 场站名称
	shipper_id varchar NULL, -- 托运商id
	shipper_name varchar NULL, -- 托运商名称
	source_id varchar NULL, -- 气源id
	source_name varchar NULL, -- 气源名称
	sort int4 NULL, -- 排序
	data_date date NULL, -- 数据日期
	day_plan numeric(20, 8) NULL DEFAULT 0, -- 上载计划量（万方）-最后一次下发的上载计划量
	day_plan_did int4 NULL, -- 上载日计划(万方)数据点
	create_by_id varchar(40) NULL,
	create_by_name varchar(50) NULL,
	create_time timestamp(3) NULL,
	modify_by_id varchar(40) NULL,
	modify_by_name varchar(50) NULL,
	modify_time timestamp(3) NULL,
	data_sources int1 NULL, -- 数据来源（1.数据初始化 2.过渡期接口推送 3.系统下发 4.系统导入）
	his_id varchar(40) not NULL,
	remedy_id varchar(40) not NULL, -- 补采id
	CONSTRAINT gas_upload_day_plan_his_remedy_bak_key PRIMARY KEY (id)
)
WITH (
	orientation=row,
	compression=no
);
COMMENT ON TABLE pps_dispatch.gas_upload_day_plan_his_remedy_bak IS '天然气-上载日指定-变更历史-补采备份';

-- Column comments

COMMENT ON COLUMN pps_dispatch.gas_upload_day_plan_his_remedy_bak.m_ou_id IS '数据项管理组织机构id';
COMMENT ON COLUMN pps_dispatch.gas_upload_day_plan_his_remedy_bak.m_ou_name IS '数据项管理组织机构名称';
COMMENT ON COLUMN pps_dispatch.gas_upload_day_plan_his_remedy_bak.pipeline_id IS '管线id';
COMMENT ON COLUMN pps_dispatch.gas_upload_day_plan_his_remedy_bak.pipeline_name IS '管线名称';
COMMENT ON COLUMN pps_dispatch.gas_upload_day_plan_his_remedy_bak.station_id IS '场站id';
COMMENT ON COLUMN pps_dispatch.gas_upload_day_plan_his_remedy_bak.station_name IS '场站名称';
COMMENT ON COLUMN pps_dispatch.gas_upload_day_plan_his_remedy_bak.shipper_id IS '托运商id';
COMMENT ON COLUMN pps_dispatch.gas_upload_day_plan_his_remedy_bak.shipper_name IS '托运商名称';
COMMENT ON COLUMN pps_dispatch.gas_upload_day_plan_his_remedy_bak.source_id IS '气源id';
COMMENT ON COLUMN pps_dispatch.gas_upload_day_plan_his_remedy_bak.source_name IS '气源名称';
COMMENT ON COLUMN pps_dispatch.gas_upload_day_plan_his_remedy_bak.sort IS '排序';
COMMENT ON COLUMN pps_dispatch.gas_upload_day_plan_his_remedy_bak.data_date IS '数据日期';
COMMENT ON COLUMN pps_dispatch.gas_upload_day_plan_his_remedy_bak.day_plan IS '上载计划量（万方）-最后一次下发的上载计划量';
COMMENT ON COLUMN pps_dispatch.gas_upload_day_plan_his_remedy_bak.day_plan_did IS '上载日计划(万方)数据点';
COMMENT ON COLUMN pps_dispatch.gas_upload_day_plan_his_remedy_bak.data_sources IS '数据来源（1.数据初始化 2.过渡期接口推送 3.系统下发 4.系统导入）';
COMMENT ON COLUMN pps_dispatch.gas_upload_day_plan_his_remedy_bak.his_id IS '历史id';
COMMENT ON COLUMN pps_dispatch.gas_upload_day_plan_his_remedy_bak.remedy_id IS '补采id';


CREATE TABLE pps_dispatch.gas_day_plan_his_remedy_bak (
	id varchar(40) NOT NULL,
	a_ou_id varchar NULL, -- 二级单位id
	a_ou_name varchar NULL, -- 二级单位名称
	m_ou_id varchar NULL, -- 数据项管理组织机构id
	m_ou_name varchar NULL, -- 数据项管理组织机构名称
	pipeline_id varchar NULL, -- 管线id
	pipeline_name varchar NULL, -- 管线名称
	pipeline_display_name varchar NULL, -- 管线显示名称
	station_id varchar NULL, -- 场站id
	station_name varchar NULL, -- 场站名称
	customer_id varchar NULL, -- 客户id
	customer_name varchar NULL, -- 客户名称
	shipper_id varchar NULL, -- 托运商id
	shipper_name varchar NULL, -- 托运商名称
	sort int4 NULL, -- 排序
	data_date date NULL, -- 数据日期
	day_plan numeric(20, 8) NULL, -- 下载日计划量（最后一次下发的下载计划量）（万方）
	day_plan_did int4 NULL, -- 日计划数据点
	create_by_id varchar(40) NULL,
	create_by_name varchar(50) NULL,
	create_time timestamp(3) NULL,
	modify_by_id varchar(40) NULL,
	modify_by_name varchar(50) NULL,
	modify_time timestamp(3) NULL,
	data_sources int1 NULL, -- 数据来源（1.数据初始化 2.过渡期接口推送 3.系统下发 4.系统导入）
	his_id varchar(40) not NULL,
	remedy_id varchar(40) not NULL, -- 补采id
	CONSTRAINT gas_day_plan_his_remedy_bak_key PRIMARY KEY (id)
)
WITH (
	orientation=row,
	compression=no
);
COMMENT ON TABLE pps_dispatch.gas_day_plan_his_remedy_bak IS '天然气-下载日指定-历史变更-补采备份';

-- Column comments

COMMENT ON COLUMN pps_dispatch.gas_day_plan_his_remedy_bak.a_ou_id IS '二级单位id';
COMMENT ON COLUMN pps_dispatch.gas_day_plan_his_remedy_bak.a_ou_name IS '二级单位名称';
COMMENT ON COLUMN pps_dispatch.gas_day_plan_his_remedy_bak.m_ou_id IS '数据项管理组织机构id';
COMMENT ON COLUMN pps_dispatch.gas_day_plan_his_remedy_bak.m_ou_name IS '数据项管理组织机构名称';
COMMENT ON COLUMN pps_dispatch.gas_day_plan_his_remedy_bak.pipeline_id IS '管线id';
COMMENT ON COLUMN pps_dispatch.gas_day_plan_his_remedy_bak.pipeline_name IS '管线名称';
COMMENT ON COLUMN pps_dispatch.gas_day_plan_his_remedy_bak.pipeline_display_name IS '管线显示名称';
COMMENT ON COLUMN pps_dispatch.gas_day_plan_his_remedy_bak.station_id IS '场站id';
COMMENT ON COLUMN pps_dispatch.gas_day_plan_his_remedy_bak.station_name IS '场站名称';
COMMENT ON COLUMN pps_dispatch.gas_day_plan_his_remedy_bak.customer_id IS '客户id';
COMMENT ON COLUMN pps_dispatch.gas_day_plan_his_remedy_bak.customer_name IS '客户名称';
COMMENT ON COLUMN pps_dispatch.gas_day_plan_his_remedy_bak.shipper_id IS '托运商id';
COMMENT ON COLUMN pps_dispatch.gas_day_plan_his_remedy_bak.shipper_name IS '托运商名称';
COMMENT ON COLUMN pps_dispatch.gas_day_plan_his_remedy_bak.sort IS '排序';
COMMENT ON COLUMN pps_dispatch.gas_day_plan_his_remedy_bak.data_date IS '数据日期';
COMMENT ON COLUMN pps_dispatch.gas_day_plan_his_remedy_bak.day_plan IS '下载日计划量（最后一次下发的下载计划量）（万方）';
COMMENT ON COLUMN pps_dispatch.gas_day_plan_his_remedy_bak.day_plan_did IS '日计划数据点';
COMMENT ON COLUMN pps_dispatch.gas_day_plan_his_remedy_bak.data_sources IS '数据来源（1.数据初始化 2.过渡期接口推送 3.系统下发 4.系统导入）';
COMMENT ON COLUMN pps_dispatch.gas_day_plan_his_remedy_bak.remedy_id IS '补采id';
COMMENT ON COLUMN pps_dispatch.gas_day_plan_his_remedy_bak.his_id IS '历史id';

--pps_dispatch start

--日指定历史字段扩容-start
--pps_dispatch
ALTER TABLE pps_dispatch.gas_day_plan ALTER COLUMN day_plan_update_his TYPE varchar USING day_plan_update_his::varchar;
ALTER TABLE pps_dispatch.gas_day_plan ALTER COLUMN day_plan_release_his TYPE varchar USING day_plan_release_his::varchar;

ALTER TABLE pps_dispatch.gas_upload_day_plan ALTER COLUMN day_plan_update_his TYPE varchar USING day_plan_update_his::varchar;
ALTER TABLE pps_dispatch.gas_upload_day_plan ALTER COLUMN day_plan_release_his TYPE varchar USING day_plan_release_his::varchar;
--日指定历史字段扩容-end



























