--pps_dispatch start
--管存计算确认数据增加字段
ALTER TABLE pps_dispatch.disp_ng_tube_storage_cal_confirm ADD average_pressure numeric(15, 5) NULL;
COMMENT ON COLUMN pps_dispatch.disp_ng_tube_storage_cal_confirm.average_pressure IS '平均压力';
ALTER TABLE pps_dispatch.disp_ng_tube_storage_cal_confirm ADD average_temperature numeric(15, 5) NULL;
COMMENT ON COLUMN pps_dispatch.disp_ng_tube_storage_cal_confirm.average_temperature IS '平均温度';
ALTER TABLE pps_dispatch.disp_ng_tube_storage_cal_confirm ADD compressibility_factor numeric(15, 5) NULL;
COMMENT ON COLUMN pps_dispatch.disp_ng_tube_storage_cal_confirm.compressibility_factor IS '压缩因子';

--管存计算增加字段
ALTER TABLE pps_dispatch.disp_ng_tube_storage_cal ADD temperament_station_id varchar(40) NULL;
COMMENT ON COLUMN pps_dispatch.disp_ng_tube_storage_cal.temperament_station_id IS '气质场站id';
ALTER TABLE pps_dispatch.disp_ng_tube_storage_cal ADD temperament_station_type varchar(40) NULL;
COMMENT ON COLUMN pps_dispatch.disp_ng_tube_storage_cal.temperament_station_type IS '气质场站类型';

--lng装车日指定增加车次
ALTER TABLE pps_dispatch.disp_lng_en_d_des_det ADD car_no varchar(100) NULL;
COMMENT ON COLUMN pps_dispatch.disp_lng_en_d_des_det.car_no IS '车次';

--pps_dispatch end


--pps_analysis start
--管存计算确认数据，推送到分析库
CREATE TABLE pps_analysis.disp_ng_tube_storage_cal_confirm (
	id varchar(40) NOT NULL, -- 主键
	pipeline_id varchar(40) NULL, -- 管线ID
	start_station_id varchar(40) NULL, -- 起始场站ID
	end_station_id varchar(40) NULL, -- 结束场站ID
	tube_stock numeric(20, 5) NULL, -- 管存
	data_date timestamp(3) NULL, -- 数据日期
	state int4 NULL, -- 状态（0 启用 1 已禁用）
	sort int4 NULL, -- 排序
	create_by_id varchar(40) NULL, -- 创建人id
	create_by_name varchar(50) NULL, -- 创建人
	create_time timestamp(3) NULL, -- 创建时间
	modify_by_id varchar(40) NULL, -- 修改人id
	modify_by_name varchar(50) NULL, -- 修改人
	modify_time timestamp(3) NULL, -- 修改时间
	average_pressure numeric(15, 5) NULL, -- 平均压力
	average_temperature numeric(15, 5) NULL, -- 平均温度
	compressibility_factor numeric(15, 5) NULL, -- 压缩因子
	CONSTRAINT "_disp_ng_tube_storage_cal_confirm_pkey" PRIMARY KEY (id)
)
WITH (
	orientation=row,
	compression=no
);
COMMENT ON TABLE pps_analysis.disp_ng_tube_storage_cal_confirm IS '天然气管存计算-确认';

-- Column comments

COMMENT ON COLUMN pps_analysis.disp_ng_tube_storage_cal_confirm.id IS '主键';
COMMENT ON COLUMN pps_analysis.disp_ng_tube_storage_cal_confirm.pipeline_id IS '管线ID';
COMMENT ON COLUMN pps_analysis.disp_ng_tube_storage_cal_confirm.start_station_id IS '起始场站ID';
COMMENT ON COLUMN pps_analysis.disp_ng_tube_storage_cal_confirm.end_station_id IS '结束场站ID';
COMMENT ON COLUMN pps_analysis.disp_ng_tube_storage_cal_confirm.tube_stock IS '管存';
COMMENT ON COLUMN pps_analysis.disp_ng_tube_storage_cal_confirm.data_date IS '数据日期';
COMMENT ON COLUMN pps_analysis.disp_ng_tube_storage_cal_confirm.state IS '状态（0 启用 1 已禁用）';
COMMENT ON COLUMN pps_analysis.disp_ng_tube_storage_cal_confirm.sort IS '排序';
COMMENT ON COLUMN pps_analysis.disp_ng_tube_storage_cal_confirm.create_by_id IS '创建人id';
COMMENT ON COLUMN pps_analysis.disp_ng_tube_storage_cal_confirm.create_by_name IS '创建人';
COMMENT ON COLUMN pps_analysis.disp_ng_tube_storage_cal_confirm.create_time IS '创建时间';
COMMENT ON COLUMN pps_analysis.disp_ng_tube_storage_cal_confirm.modify_by_id IS '修改人id';
COMMENT ON COLUMN pps_analysis.disp_ng_tube_storage_cal_confirm.modify_by_name IS '修改人';
COMMENT ON COLUMN pps_analysis.disp_ng_tube_storage_cal_confirm.modify_time IS '修改时间';
COMMENT ON COLUMN pps_analysis.disp_ng_tube_storage_cal_confirm.average_pressure IS '平均压力';
COMMENT ON COLUMN pps_analysis.disp_ng_tube_storage_cal_confirm.average_temperature IS '平均温度';
COMMENT ON COLUMN pps_analysis.disp_ng_tube_storage_cal_confirm.compressibility_factor IS '压缩因子';
--pps_analysis end