--pps_base_info start
--新增操作约束扩展表
CREATE TABLE pps_base_info.base_operational_constraint_extend (
	id varchar(40) NOT NULL, -- 场站组织机构关系(主键)
	constraint_id varchar(40) NULL, --约束id
	ou_id varchar(40) NULL, --组织机构id
	ou_name varchar(100) NULL, --组织机构名称
	station_id varchar(40) NULL, --场站类型id
	station_name varchar(100) NULL, --场站类型名称
	data_date timestamp(3) NULL, -- 数据日期
	operational_type varchar(40) NULL, --操作类型
	constraint_date smalldatetime NULL, -- 截止时间
	constraint_remark varchar NULL, --备注
	create_by_id varchar(40) NULL, -- 创建人
	create_by_name varchar(100) NULL, -- 创建人名称
	create_time timestamp(3) NULL, -- 创建时间
	modify_by_id varchar(40) NULL, -- 修改人
	modify_by_name varchar(50) NULL, -- 修改人名称
	modify_time timestamp(3) NULL, -- 修改时间
	CONSTRAINT ops_base_operational_constraint_extend_pkey PRIMARY KEY (id)
)
WITH (
	orientation=row,
	compression=no
);
COMMENT ON TABLE pps_base_info.base_operational_constraint_extend IS '操作约束扩展表';

-- Column comments

COMMENT ON COLUMN pps_base_info.base_operational_constraint_extend.id IS '场站组织机构关系(主键)';
COMMENT ON COLUMN pps_base_info.base_operational_constraint_extend.constraint_id IS '约束id';
COMMENT ON COLUMN pps_base_info.base_operational_constraint_extend.ou_id IS '组织机构id';
COMMENT ON COLUMN pps_base_info.base_operational_constraint_extend.ou_name IS '组织机构名称';
COMMENT ON COLUMN pps_base_info.base_operational_constraint_extend.station_id IS '场站类型id';
COMMENT ON COLUMN pps_base_info.base_operational_constraint_extend.station_name IS '场站类型名称';
COMMENT ON COLUMN pps_base_info.base_operational_constraint_extend.data_date IS '数据日期';
COMMENT ON COLUMN pps_base_info.base_operational_constraint_extend.operational_type IS '操作类型';
COMMENT ON COLUMN pps_base_info.base_operational_constraint_extend.constraint_date IS '截止时间';
COMMENT ON COLUMN pps_base_info.base_operational_constraint_extend.constraint_remark IS '备注';
COMMENT ON COLUMN pps_base_info.base_operational_constraint_extend.create_by_id IS '创建人';
COMMENT ON COLUMN pps_base_info.base_operational_constraint_extend.create_by_name IS '创建人名称';
COMMENT ON COLUMN pps_base_info.base_operational_constraint_extend.create_time IS '创建时间';
COMMENT ON COLUMN pps_base_info.base_operational_constraint_extend.modify_by_id IS '修改人';
COMMENT ON COLUMN pps_base_info.base_operational_constraint_extend.modify_by_name IS '修改人名称';
COMMENT ON COLUMN pps_base_info.base_operational_constraint_extend.modify_time IS '修改时间';

--pps_base_info end

