--pps_dispatch start
--运行方案征集意见稿和运行方案下发增加数据权限
ALTER TABLE pps_dispatch.disp_run_plan_collect ADD ou_id varchar(40) NULL;
COMMENT ON COLUMN pps_dispatch.disp_run_plan_collect.ou_id IS '组织机构id';
ALTER TABLE pps_dispatch.disp_run_plan_collect ADD ou_name varchar(100) NULL;
COMMENT ON COLUMN pps_dispatch.disp_run_plan_collect.ou_name IS '组织机构名称';

ALTER TABLE pps_dispatch.disp_run_plan_release ADD ou_id varchar(40) NULL;
COMMENT ON COLUMN pps_dispatch.disp_run_plan_release.ou_id IS '组织机构id';
ALTER TABLE pps_dispatch.disp_run_plan_release ADD ou_name varchar(100) NULL;
COMMENT ON COLUMN pps_dispatch.disp_run_plan_release.ou_name IS '组织机构名称';

--管存计算增加scada表
CREATE TABLE pps_dispatch.disp_ng_tube_storage_cal_scada (
	id varchar(40) NOT NULL, -- 主键
	business_type varchar(40) null, --业务类型（1 进线数据 2 出线数据）
	pipeline_id varchar(40) NULL, -- 管线ID
	pipeline_name varchar(100) NULL, -- 管线名称
	station_id varchar(40) NULL, -- 场站ID
	station_name varchar(100) NULL, -- 场站描述
	config_column_id varchar(100) NULL, --配置表id
	scada_environment_info_id  varchar(40) NULL, --scada环境标识
	scada_config_id varchar(40) NULL, --scada配置id
	scada_tag varchar NULL, --scada点号
	scada_varsion int4 null default 1, --scada版本号
	state int1 null,--状态（0 禁用 1 正常）
	create_by_id varchar(40) NULL, -- 创建人id
	create_by_name varchar(50) NULL, -- 创建人
	create_time timestamp(3) NULL, -- 创建时间
	modify_by_id varchar(40) NULL, -- 修改人id
	modify_by_name varchar(50) NULL, -- 修改人
	modify_time timestamp(3) NULL, -- 修改时间
	CONSTRAINT "_disp_ng_tube_storage_cal_scada_pkey" PRIMARY KEY (id)
)
WITH (
	orientation=row,
	compression=no
);
COMMENT ON TABLE pps_dispatch.disp_ng_tube_storage_cal_scada IS '管存计算-scada';

-- Column comments

COMMENT ON COLUMN pps_dispatch.disp_ng_tube_storage_cal_scada.id IS '主键';
COMMENT ON COLUMN pps_dispatch.disp_ng_tube_storage_cal_scada.pipeline_id IS '管线ID';
COMMENT ON COLUMN pps_dispatch.disp_ng_tube_storage_cal_scada.pipeline_name IS '管线名称';
COMMENT ON COLUMN pps_dispatch.disp_ng_tube_storage_cal_scada.business_type IS '业务类型（1 进线数据 2 出线数据）';
COMMENT ON COLUMN pps_dispatch.disp_ng_tube_storage_cal_scada.station_id IS '场站ID';
COMMENT ON COLUMN pps_dispatch.disp_ng_tube_storage_cal_scada.station_name IS '场站描述';
COMMENT ON COLUMN pps_dispatch.disp_ng_tube_storage_cal_scada.config_column_id IS '配置表id';
COMMENT ON COLUMN pps_dispatch.disp_ng_tube_storage_cal_scada.scada_environment_info_id  IS 'scada环境标识';
COMMENT ON COLUMN pps_dispatch.disp_ng_tube_storage_cal_scada.scada_config_id IS 'scada配置id';
COMMENT ON COLUMN pps_dispatch.disp_ng_tube_storage_cal_scada.scada_tag IS 'scada点号';
COMMENT ON COLUMN pps_dispatch.disp_ng_tube_storage_cal_scada.scada_varsion IS 'scada版本号';
COMMENT ON COLUMN pps_dispatch.disp_ng_tube_storage_cal_scada.state IS '状态（0 禁用 1 正常）';
COMMENT ON COLUMN pps_dispatch.disp_ng_tube_storage_cal_scada.create_by_id IS '创建人id';
COMMENT ON COLUMN pps_dispatch.disp_ng_tube_storage_cal_scada.create_by_name IS '创建人';
COMMENT ON COLUMN pps_dispatch.disp_ng_tube_storage_cal_scada.create_time IS '创建时间';
COMMENT ON COLUMN pps_dispatch.disp_ng_tube_storage_cal_scada.modify_by_id IS '修改人id';
COMMENT ON COLUMN pps_dispatch.disp_ng_tube_storage_cal_scada.modify_by_name IS '修改人';
COMMENT ON COLUMN pps_dispatch.disp_ng_tube_storage_cal_scada.modify_time IS '修改时间';

--pps_dispatch end