-- 运维管理  场站申请

-- pps_base_info.operation_maintenance_station_application definition

-- Drop table

-- DROP TABLE pps_base_info.operation_maintenance_station_application;

CREATE TABLE pps_base_info.operation_maintenance_station_application (
                                                                         id varchar(40) NULL, -- id
                                                                         m_ou_id varchar(40) NULL, -- 组织机构id
                                                                         m_ou_name varchar(100) NULL, -- 组织机构名称
                                                                         telephone varchar(100) NULL, -- 联系电话
                                                                         station_name varchar(100) NULL, -- 场站名称
                                                                         station_referred_to_as varchar(100) NULL, -- 场站简称
                                                                         station_type_id varchar(40) NULL, -- 场站类型id
                                                                         station_type_name varchar(100) NULL, -- 场站类型名字
                                                                         province_id varchar(100) NULL, -- 所属省份id
                                                                         province_name varchar(100) NULL, -- 所属省份名字
                                                                         affiliated_unit_id varchar(40) NULL, -- 所属组织机构id
                                                                         affiliated_unit_name varchar(100) NULL, -- 所属组织机构名字
                                                                         pipeline_id varchar(40) NULL, -- 管线id
                                                                         pipeline_name varchar(100) NULL, -- 管线名字
                                                                         upstream_station_id varchar(40) NULL, -- 上游场站id
                                                                         upstream_station_name varchar(100) NULL, -- 上游场站名字
                                                                         downstream_station_id varchar(40) NULL, -- 下游场站id
                                                                         downstream_station_name varchar(100) NULL, -- 下游场站名字
                                                                         upstream_spacing varchar(100) NULL, -- 上游间距
                                                                         downstream_spacing varchar(100) NULL, -- 下游间距
                                                                         upstream_management_capacity varchar(100) NULL, -- 上游管容
                                                                         downstream_management_capacity varchar(100) NULL, -- 下游管容
                                                                         remake varchar(500) NULL, -- 说明
                                                                         file_key varchar(100) NULL, -- 附件
                                                                         create_by_id varchar(40) NULL, -- 创建人
                                                                         create_by_name varchar(50) NULL, -- 创建人名称
                                                                         create_time smalldatetime NULL, -- 创建时间
                                                                         modify_by_id varchar(40) NULL, -- 修改人
                                                                         modify_by_name varchar(50) NULL, -- 修改人名称
                                                                         modify_time smalldatetime NULL, -- 修改时间
                                                                         data_date date NULL, -- 数据填报时间
                                                                         alternate_fields_one varchar(100) NULL, -- 备用字段1
                                                                         alternate_fields_two varchar(100) NULL, -- 备用字段2
                                                                         auditor_id varchar(40) NULL, -- 审核人员id
                                                                         auditor_name varchar(100) NULL, -- 审核人员
                                                                         auditstatus int4 NULL, -- 审核状态
                                                                         alternate_fields_three varchar(100) NULL -- 备用字段3
)
    WITH (
        orientation=row,
        compression=no
        );
COMMENT ON TABLE pps_base_info.operation_maintenance_station_application IS '运维管理-场站申请';

-- Column comments

COMMENT ON COLUMN pps_base_info.operation_maintenance_station_application.id IS 'id';
COMMENT ON COLUMN pps_base_info.operation_maintenance_station_application.m_ou_id IS '组织机构id';
COMMENT ON COLUMN pps_base_info.operation_maintenance_station_application.m_ou_name IS '组织机构名称';
COMMENT ON COLUMN pps_base_info.operation_maintenance_station_application.telephone IS '联系电话';
COMMENT ON COLUMN pps_base_info.operation_maintenance_station_application.station_name IS '场站名称';
COMMENT ON COLUMN pps_base_info.operation_maintenance_station_application.station_referred_to_as IS '场站简称';
COMMENT ON COLUMN pps_base_info.operation_maintenance_station_application.station_type_id IS '场站类型id';
COMMENT ON COLUMN pps_base_info.operation_maintenance_station_application.station_type_name IS '场站类型名字';
COMMENT ON COLUMN pps_base_info.operation_maintenance_station_application.province_id IS '所属省份id';
COMMENT ON COLUMN pps_base_info.operation_maintenance_station_application.province_name IS '所属省份名字';
COMMENT ON COLUMN pps_base_info.operation_maintenance_station_application.affiliated_unit_id IS '所属组织机构id';
COMMENT ON COLUMN pps_base_info.operation_maintenance_station_application.affiliated_unit_name IS '所属组织机构名字';
COMMENT ON COLUMN pps_base_info.operation_maintenance_station_application.pipeline_id IS '管线id';
COMMENT ON COLUMN pps_base_info.operation_maintenance_station_application.pipeline_name IS '管线名字';
COMMENT ON COLUMN pps_base_info.operation_maintenance_station_application.upstream_station_id IS '上游场站id';
COMMENT ON COLUMN pps_base_info.operation_maintenance_station_application.upstream_station_name IS '上游场站名字';
COMMENT ON COLUMN pps_base_info.operation_maintenance_station_application.downstream_station_id IS '下游场站id';
COMMENT ON COLUMN pps_base_info.operation_maintenance_station_application.downstream_station_name IS '下游场站名字';
COMMENT ON COLUMN pps_base_info.operation_maintenance_station_application.upstream_spacing IS '上游间距';
COMMENT ON COLUMN pps_base_info.operation_maintenance_station_application.downstream_spacing IS '下游间距';
COMMENT ON COLUMN pps_base_info.operation_maintenance_station_application.upstream_management_capacity IS '上游管容';
COMMENT ON COLUMN pps_base_info.operation_maintenance_station_application.downstream_management_capacity IS '下游管容';
COMMENT ON COLUMN pps_base_info.operation_maintenance_station_application.remake IS '说明';
COMMENT ON COLUMN pps_base_info.operation_maintenance_station_application.file_key IS '附件';
COMMENT ON COLUMN pps_base_info.operation_maintenance_station_application.create_by_id IS '创建人';
COMMENT ON COLUMN pps_base_info.operation_maintenance_station_application.create_by_name IS '创建人名称';
COMMENT ON COLUMN pps_base_info.operation_maintenance_station_application.create_time IS '创建时间';
COMMENT ON COLUMN pps_base_info.operation_maintenance_station_application.modify_by_id IS '修改人';
COMMENT ON COLUMN pps_base_info.operation_maintenance_station_application.modify_by_name IS '修改人名称';
COMMENT ON COLUMN pps_base_info.operation_maintenance_station_application.modify_time IS '修改时间';
COMMENT ON COLUMN pps_base_info.operation_maintenance_station_application.data_date IS '数据填报时间';
COMMENT ON COLUMN pps_base_info.operation_maintenance_station_application.alternate_fields_one IS '备用字段1';
COMMENT ON COLUMN pps_base_info.operation_maintenance_station_application.alternate_fields_two IS '备用字段2';
COMMENT ON COLUMN pps_base_info.operation_maintenance_station_application.auditor_id IS '审核人员id';
COMMENT ON COLUMN pps_base_info.operation_maintenance_station_application.auditor_name IS '审核人员';
COMMENT ON COLUMN pps_base_info.operation_maintenance_station_application.auditstatus IS '审核状态';
COMMENT ON COLUMN pps_base_info.operation_maintenance_station_application.alternate_fields_three IS '备用字段3';

-- 运维管理  账户申请
    -- pps_base_info.operation_maintenance_user definition

-- Drop table

-- DROP TABLE pps_base_info.operation_maintenance_user;

CREATE TABLE pps_base_info.operation_maintenance_user (
                                                          id varchar(40) NULL, -- id
                                                          applicant_name varchar(100) NULL, -- 申请人姓名
                                                          applicant_phone varchar(100) NULL, -- 申请人电话
                                                          m_ou_id varchar(40) NULL, -- 组织机构id
                                                          m_ou_name varchar(100) NULL, -- 组织机构名称
                                                          account_consistent_id varchar(40) NULL, -- 与谁账号一致id
                                                          account_consistent_name varchar(100) NULL, -- 与谁账号一致名字
                                                          account_permissions varchar(100) NULL, -- 账户权限
                                                          file_key varchar(100) NULL, -- 附件
                                                          create_by_id varchar(40) NULL, -- 创建人
                                                          create_by_name varchar(50) NULL, -- 创建人名称
                                                          create_time smalldatetime NULL, -- 创建时间
                                                          modify_by_id varchar(40) NULL, -- 修改人
                                                          modify_by_name varchar(50) NULL, -- 修改人名称
                                                          modify_time smalldatetime NULL, -- 修改时间
                                                          data_date date NULL, -- 数据填报时间
                                                          alternate_fields_one varchar(100) NULL, -- 备用字段1
                                                          alternate_fields_two varchar(100) NULL, -- 备用字段2
                                                          auditor_id varchar(40) NULL, -- 审核人员id
                                                          auditor_name varchar(100) NULL, -- 审核人员
                                                          auditstatus int4 NULL, -- 审核状态
                                                          alternate_fields_three varchar(100) NULL -- 备用字段3
)
    WITH (
        orientation=row,
        compression=no
        );
COMMENT ON TABLE pps_base_info.operation_maintenance_user IS '运维管理-账户申请';

-- Column comments

COMMENT ON COLUMN pps_base_info.operation_maintenance_user.id IS 'id';
COMMENT ON COLUMN pps_base_info.operation_maintenance_user.applicant_name IS '申请人姓名';
COMMENT ON COLUMN pps_base_info.operation_maintenance_user.applicant_phone IS '申请人电话';
COMMENT ON COLUMN pps_base_info.operation_maintenance_user.m_ou_id IS '组织机构id';
COMMENT ON COLUMN pps_base_info.operation_maintenance_user.m_ou_name IS '组织机构名称';
COMMENT ON COLUMN pps_base_info.operation_maintenance_user.account_consistent_id IS '与谁账号一致id';
COMMENT ON COLUMN pps_base_info.operation_maintenance_user.account_consistent_name IS '与谁账号一致名字';
COMMENT ON COLUMN pps_base_info.operation_maintenance_user.account_permissions IS '账户权限';
COMMENT ON COLUMN pps_base_info.operation_maintenance_user.file_key IS '附件';
COMMENT ON COLUMN pps_base_info.operation_maintenance_user.create_by_id IS '创建人';
COMMENT ON COLUMN pps_base_info.operation_maintenance_user.create_by_name IS '创建人名称';
COMMENT ON COLUMN pps_base_info.operation_maintenance_user.create_time IS '创建时间';
COMMENT ON COLUMN pps_base_info.operation_maintenance_user.modify_by_id IS '修改人';
COMMENT ON COLUMN pps_base_info.operation_maintenance_user.modify_by_name IS '修改人名称';
COMMENT ON COLUMN pps_base_info.operation_maintenance_user.modify_time IS '修改时间';
COMMENT ON COLUMN pps_base_info.operation_maintenance_user.data_date IS '数据填报时间';
COMMENT ON COLUMN pps_base_info.operation_maintenance_user.alternate_fields_one IS '备用字段1';
COMMENT ON COLUMN pps_base_info.operation_maintenance_user.alternate_fields_two IS '备用字段2';
COMMENT ON COLUMN pps_base_info.operation_maintenance_user.auditor_id IS '审核人员id';
COMMENT ON COLUMN pps_base_info.operation_maintenance_user.auditor_name IS '审核人员';
COMMENT ON COLUMN pps_base_info.operation_maintenance_user.auditstatus IS '审核状态';
COMMENT ON COLUMN pps_base_info.operation_maintenance_user.alternate_fields_three IS '备用字段3';

--  运维管理 -用户信息申请记录表

    -- pps_base_info.operation_maintenance_user_information definition

-- Drop table

-- DROP TABLE pps_base_info.operation_maintenance_user_information;

CREATE TABLE pps_base_info.operation_maintenance_user_information (
                                                                      id varchar(50) NOT NULL, -- uuid
                                                                      account_number_id varchar(50) NULL, -- 新增账号申请(关联id)
                                                                      m_ou_id varchar(100) NULL, -- 组织机构id
                                                                      m_ou_name varchar(100) NULL, -- 组织机构名称
                                                                      pipeline_id varchar(40) NULL, -- 管线id
                                                                      pipeline_name varchar(300) NULL, -- 管线名称
                                                                      login_account varchar(150) NULL, -- 登录账号
                                                                      login_account_iam varchar(150) NULL, -- Iam登录账号
                                                                      station_id varchar(40) NULL, -- 场站id
                                                                      station_name varchar(50) NULL, -- 场站名称
                                                                      employee_number varchar(50) NULL, -- 员工编号
                                                                      user_name varchar(100) NULL, -- 用户姓名
                                                                      user_password varchar(100) NULL, -- 登录密码
                                                                      is_deleted int4 NULL, -- 是否删除(0是已删除,1是正常)
                                                                      intranet int4 NULL, -- 是否内网(0是否,1是正常)
                                                                      external_network int4 NULL, -- 是否外网(0是否,1是正常)
                                                                      duties_id varchar(50) NULL, -- 职务id
                                                                      duties_name varchar(100) NULL, -- 职务名称
                                                                      zip_code varchar(50) NULL, -- 邮编
                                                                      mobile_phone varchar(50) NULL, -- 手机号
                                                                      mailbox varchar(50) NULL, -- 用户邮箱
                                                                      mail_address varchar(500) NULL, -- 通讯地址
                                                                      alternate_fields_one varchar(100) NULL, -- 备用字段1
                                                                      alternate_fields_tow varchar(100) NULL, -- 备用字段2
                                                                      create_by_id varchar(40) NULL, -- 创建人
                                                                      create_by_name varchar(50) NULL, -- 创建人名称
                                                                      create_time smalldatetime NULL, -- 创建时间
                                                                      modify_by_id varchar(40) NULL, -- 修改人
                                                                      modify_by_name varchar(50) NULL, -- 修改人名称
                                                                      modify_time smalldatetime NULL, -- 修改时间
                                                                      data_date date NULL, -- 数据填报时间
                                                                      affiliated_unit_id varchar(40) NULL, -- 所属单位id
                                                                      affiliated_unit_name varchar(100) NULL -- 所属单位名字
)
    WITH (
        orientation=row,
        compression=no
        );
CREATE INDEX operation_maintenance_user_information_id_idx ON pps_base_info.operation_maintenance_user_information USING btree (id) TABLESPACE pg_default;
COMMENT ON TABLE pps_base_info.operation_maintenance_user_information IS '运维管理-用户信息申请记录表';

-- Column comments

COMMENT ON COLUMN pps_base_info.operation_maintenance_user_information.id IS 'uuid';
COMMENT ON COLUMN pps_base_info.operation_maintenance_user_information.account_number_id IS '新增账号申请(关联id)';
COMMENT ON COLUMN pps_base_info.operation_maintenance_user_information.m_ou_id IS '组织机构id';
COMMENT ON COLUMN pps_base_info.operation_maintenance_user_information.m_ou_name IS '组织机构名称';
COMMENT ON COLUMN pps_base_info.operation_maintenance_user_information.pipeline_id IS '管线id';
COMMENT ON COLUMN pps_base_info.operation_maintenance_user_information.pipeline_name IS '管线名称';
COMMENT ON COLUMN pps_base_info.operation_maintenance_user_information.login_account IS '登录账号';
COMMENT ON COLUMN pps_base_info.operation_maintenance_user_information.login_account_iam IS 'Iam登录账号';
COMMENT ON COLUMN pps_base_info.operation_maintenance_user_information.station_id IS '场站id';
COMMENT ON COLUMN pps_base_info.operation_maintenance_user_information.station_name IS '场站名称';
COMMENT ON COLUMN pps_base_info.operation_maintenance_user_information.employee_number IS '员工编号';
COMMENT ON COLUMN pps_base_info.operation_maintenance_user_information.user_name IS '用户姓名';
COMMENT ON COLUMN pps_base_info.operation_maintenance_user_information.user_password IS '登录密码';
COMMENT ON COLUMN pps_base_info.operation_maintenance_user_information.is_deleted IS '是否删除(0是已删除,1是正常)';
COMMENT ON COLUMN pps_base_info.operation_maintenance_user_information.intranet IS '是否内网(0是否,1是正常)';
COMMENT ON COLUMN pps_base_info.operation_maintenance_user_information.external_network IS '是否外网(0是否,1是正常)';
COMMENT ON COLUMN pps_base_info.operation_maintenance_user_information.duties_id IS '职务id';
COMMENT ON COLUMN pps_base_info.operation_maintenance_user_information.duties_name IS '职务名称';
COMMENT ON COLUMN pps_base_info.operation_maintenance_user_information.zip_code IS '邮编';
COMMENT ON COLUMN pps_base_info.operation_maintenance_user_information.mobile_phone IS '手机号';
COMMENT ON COLUMN pps_base_info.operation_maintenance_user_information.mailbox IS '用户邮箱';
COMMENT ON COLUMN pps_base_info.operation_maintenance_user_information.mail_address IS '通讯地址';
COMMENT ON COLUMN pps_base_info.operation_maintenance_user_information.alternate_fields_one IS '备用字段1';
COMMENT ON COLUMN pps_base_info.operation_maintenance_user_information.alternate_fields_tow IS '备用字段2';
COMMENT ON COLUMN pps_base_info.operation_maintenance_user_information.create_by_id IS '创建人';
COMMENT ON COLUMN pps_base_info.operation_maintenance_user_information.create_by_name IS '创建人名称';
COMMENT ON COLUMN pps_base_info.operation_maintenance_user_information.create_time IS '创建时间';
COMMENT ON COLUMN pps_base_info.operation_maintenance_user_information.modify_by_id IS '修改人';
COMMENT ON COLUMN pps_base_info.operation_maintenance_user_information.modify_by_name IS '修改人名称';
COMMENT ON COLUMN pps_base_info.operation_maintenance_user_information.modify_time IS '修改时间';
COMMENT ON COLUMN pps_base_info.operation_maintenance_user_information.data_date IS '数据填报时间';
COMMENT ON COLUMN pps_base_info.operation_maintenance_user_information.affiliated_unit_id IS '所属单位id';
COMMENT ON COLUMN pps_base_info.operation_maintenance_user_information.affiliated_unit_name IS '所属单位名字';